Bug 244970 - ISDN service fails to start (blocking boot)
ISDN service fails to start (blocking boot)
Product: Fedora
Classification: Fedora
Component: isdn4k-utils (Show other bugs)
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-06-20 04:48 EDT by Mark Polo
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-05 09:21:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg|ksymoops (3.70 KB, text/plain)
2007-07-01 05:19 EDT, Mark Polo
no flags Details

  None (edit)
Description Mark Polo 2007-06-20 04:48:20 EDT
Description of problem:
Since my upgrade from Fedora Core 6 to Fedora 7, the ISDN startup script hangs
during boot (or when manually started by service isdn start). The problem seems
to relate to a failure to load the kernel module, but the boot sequence never
"gives up" on this, preventing boot. As a workaround, I have moved
/etc/rc.d/rc5.d/S09isdn to bu-S09isdn, so as to prevent loading of those
modules. Of course, this leaves ISDN unavailable. I will cut and paste the error
message in a separate post here, as "service isdn start" run a second time
simply dies at "unloading ISDN modules" without giving more detailed
information. The card is a Fritz! PCI v2.0 ISDN.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot computer
Actual results:
Error is generated, followed by [FAILED] message, followed by another series of
error messages. Boot hangs at this point.

Expected results:
Normal booting with ISDN modules available.

Additional info:
Comment 1 Mark Polo 2007-06-20 04:54:53 EDT
Here is the promised error log:

[nalbad80@studienpraefekt ~]$ sudo service isdn start
/etc/init.d/isdn: line 112:  3315 Killed                  modprobe $MODULE
$RESOURCES > /dev/null 2>&1
Loading ISDN modules                                       [FAILED]

Message from syslogd@ at Wed Jun 20 10:56:25 2007 ...
studienpraefekt kernel: Oops: 0010 [1] SMP 
Message from syslogd@ at Wed Jun 20 10:56:26 2007 ...
studienpraefekt kernel: CR2: 0000000000000000
Comment 2 Mark Polo 2007-07-01 05:19:17 EDT
Created attachment 158306 [details]

This is an attempt at getting you more information about the kernel oops.
Comment 3 Mark Polo 2007-08-27 04:38:19 EDT
I solved the problem by uninstalling and reinstalling the modem. Something went
funny in the upgrade process, apparently. At least for me, this issue is closed,
but perhaps needs to be checked for the future.

Note You need to log in before you can comment on or make changes to this bug.